# Method: customers.apps.fetchDevicesRequestingExtension

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.FetchDevicesRequestingExtensionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#body.aspect)
- [DeviceRequestingExtensionDetails](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#DeviceRequestingExtensionDetails)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#DeviceRequestingExtensionDetails.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#try-it)

Get a list of devices that have requested to install an extension.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/apps:fetchDevicesRequestingExtension`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID or "my_customer" prefixed with "customers/". |

### Query parameters

| Parameters ||
|---|---|
| `extensionId` | `string` Required. The extension for which we want to find requesting devices. |
| `pageSize` | `integer` Optional. Maximum number of results to return. Maximum and default are 50. Any page size larger than 50 will be coerced to 50. |
| `pageToken` | `string` Optional. Token to specify the page of the request to be returned. Token expires after 1 day. |
| `orgUnitId` | `string` The ID of the organizational unit. Only consider devices that directly belong to this org unit, i.e. sub-orgunits are not counted. If omitted, all data will be returned. |

### Request body

The request body must be empty.

### Response body

Response containing a list of devices that have requested the queried extension.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deviceDetails": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#DeviceRequestingExtensionDetails`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `deviceDetails[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.apps/fetchDevicesRequestingExtension#DeviceRequestingExtensionDetails`)`` Details of devices that have requested the queried extension. |
| `totalSize` | `integer` Optional. Total number of devices in response. |
| `nextPageToken` | `string` Optional. Token to specify the next page in the list. Token expires after 1 day. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.appdetails.readonly`

## DeviceRequestingExtensionDetails

Details of a device requesting an extension, including the name of the device and the justification of the request.

| JSON representation |
|---|
| ``` { "deviceName": string, "justification": string } ``` |

| Fields ||
|---|---|
| `deviceName` | `string` The name of a device that has requested the extension. |
| `justification` | `string` Request justification as entered by the user. |